Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class LogInterceptor

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInterceptor
            |
            +--org.jboss.ejb.plugins.LogInterceptor

All Implemented Interfaces:
  ContainerPlugin, Interceptor, Service

public class LogInterceptor
extends AbstractInterceptor

Version:
  $Revision: 1.14.6.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:

Field Summary
`protected boolean` | `callLogging`
`protected Container` | `container`

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`log, nextInterceptor`

Constructor Summary
`LogInterceptor()`

Method Summary
`Container` | `getContainer()`
`void` | `init()`
`java.lang.Object` | `invoke(MethodInvocation mi)` This method does invocation interpositioning of tx and security, retrieves the instance from an object table, and invokes the method on the particular instance
`java.lang.Object` | `invokeHome(MethodInvocation mi)`
`void` | `setContainer(Container container)` This callback is set by the container so that the plugin may access it

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`destroy, getNext, setNext, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### callLogging

    protected boolean callLogging

### container

    protected Container container

Constructor Detail

### LogInterceptor

    public LogInterceptor()

Method Detail

### setContainer

    public void setContainer(Container container)

  Description copied from interface: `ContainerPlugin`
  This callback is set by the container so that the plugin may access it
  Overrides:
    `setContainer` in class `AbstractInterceptor`
  Following copied from interface: `org.jboss.ejb.ContainerPlugin`
  Parameters:
    `con` - the container using this plugin

### getContainer

    public Container getContainer()

  Overrides:
    `getContainer` in class `AbstractInterceptor`

### init

    public void init()
              throws java.lang.Exception

  Overrides:
    `init` in class `AbstractInterceptor`

### invokeHome

    public java.lang.Object invokeHome(MethodInvocation mi)
                                throws java.lang.Exception

  Overrides:
    `invokeHome` in class `AbstractInterceptor`

### invoke

    public java.lang.Object invoke(MethodInvocation mi)
                            throws java.lang.Exception

  This method does invocation interpositioning of tx and security, retrieves the instance from an object table, and invokes the method on the particular instance
  Overrides:
    `invoke` in class `AbstractInterceptor`
  Parameters:
    `id` -
    `m` -
    `args` -
  Returns:
  Throws:
    `java.lang.Exception` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.